<app-menu></app-menu>

<div class="container">

<!-- colocamos [formGroup]="formsRegistra"   -->
<form class="mat-dialog-content" id="idFormModalidad" [formGroup]="formsRegistra">
        <div class="row">
                <mat-toolbar color="primary">
                        <span>Registra Autor</span>
                </mat-toolbar>
        </div>

        <div class="row" style="margin-top: 3%">
                <mat-form-field class="col-md-4">
                        <mat-label>Nombres</mat-label>
                        <input matInput [(ngModel)]="autor.nombres" formControlName="validaNombre"
                        maxlength="30" >
                         <!--  MENSAJE DE VALIDACION   -->
                         <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaNombre.touched">
                                <span *ngIf="formsRegistra.controls.validaNombre.hasError('required')">
                                        El nombre es requerido
                                </span>

                                <span *ngIf="formsRegistra.controls.validaNombre.hasError('pattern')">
                                        El nombre es 3 a 30 caracteres
                                </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>

                <mat-form-field class="col-md-4">
                        <mat-label>Apellidos</mat-label>
                        <input matInput [(ngModel)]="autor.apellidos" formControlName="validaApellido"
                                maxlength="30"  >
                        <!--  MENSAJE DE VALIDACION   -->
                        <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaApellido.touched">
                                <span *ngIf="formsRegistra.controls.validaApellido.hasError('required')">
                                        El apellido es requerido
                                </span>

                                <span *ngIf="formsRegistra.controls.validaApellido.hasError('pattern')">
                                        El apellido es 3 a 30 caracteres
                                </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>

                <mat-form-field class="col-md-4">                        
                        <mat-label>Fecha de Nacimiento</mat-label>
                        <input matInput [(ngModel)]="autor.fechaNacimiento" type="date" formControlName="validaFecha">   
                        <!--  MENSAJE DE VALIDACION   -->
                        <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaFecha.touched">
                                <span *ngIf="formsRegistra.controls.validaFecha.hasError('required')">
                                        La Fecha es requerida
                                </span>                                  
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>
        </div>

        <div class="row" style="margin-top: 3%">
                <mat-form-field class="col-md-4">
                        <mat-label>Teléfono</mat-label>
                        <input matInput [(ngModel)]="autor.telefono" formControlName="validaTelefono" maxlength="9" >
                          <!--  MENSAJE DE VALIDACION   -->
                          <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaTelefono.touched">
                                <span *ngIf="formsRegistra.controls.validaTelefono.hasError('required')">
                                        El Teléfono es requerido
                                </span>

                                <span *ngIf="formsRegistra.controls.validaTelefono.hasError('pattern')">
                                        El Teléfono debe ser de 9 dígitos
                                </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>

                <mat-form-field class="col-md-4">
                        <mat-label>País</mat-label>
                        <mat-select [(ngModel)]="autor.pais!.idPais"
                        formControlName="validaPais">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option *ngFor="let x of lstPais" [value]="x.idPais">
                                        {{x.nombre}}
                                </mat-option>
                        </mat-select>
                        <!--  MENSAJE DE VALIDACION   -->
                        <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaPais.touched" >
                        <span *ngIf="formsRegistra.controls.validaPais.hasError('min')">
                            El País es requerido 
                        </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>

                <mat-form-field class="col-md-4">
                        <mat-label>Grado</mat-label>
                        <mat-select [(ngModel)]="autor.grado!.idDataCatalogo" formControlName="validaGrado">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option *ngFor="let x of lstGrado" [value]="x.idDataCatalogo">
                                        {{x.descripcion}}
                                </mat-option>
                        </mat-select>
                        <!--  MENSAJE DE VALIDACION   -->
                        <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaGrado.touched" >
                                <span *ngIf="formsRegistra.controls.validaGrado.hasError('min')">
                                    El Grado es requerido 
                                </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
                </mat-form-field>
        </div>


        <div class="row">
                <button mat-raised-button type="submit" color="primary"
                        (click)="insertaAutor()" 
                        [disabled]="formsRegistra.invalid" >
                        Registra</button>
        </div>
</form>

</div>